手册:$wgVersion

From MediaWiki.org
Jump to navigation Jump to search
This page is a translated version of the page Manual:$wgVersion and the translation is 83% complete.
Other languages:
Deutsch • ‎English • ‎Nederlands • ‎Türkçe • ‎español • ‎français • ‎magyar • ‎polski • ‎português do Brasil • ‎русский • ‎中文 • ‎日本語 • ‎한국어
一般设置: $wgVersion
MediaWiki版本号。
引进版本:1.2.0
弃用版本:1.35.0 (Gerrit change 481950; git #a5d5ea82)
移除版本:仍在使用
允许的值:(字符串)
默认值:当前的MediaWiki版本——您不应该更改它!

详情

目前的MediaWiki版本(例如1.34.2)。 您不应该有任何更改此选项的想法;它用于内部用途。

MW_VERSION

MediaWiki版本: 1.35

Starting with MediaWiki 1.35, $wgVersion is deprecated, and replaced with the MW_VERSION constant. It is also available in MediaWiki 1.31.7, 1.33.3 and 1.34.1, though this should not be relied on as its presence is required for some release tools. $wgVersion will continue to function the same as before in those versions.

示例代码

如果您正在实现只能在MediaWiki 1.19版本及更高版本中运行的新功能,但您希望保持向后兼容性,则可以使用以下测试:

$oldVersion = version_compare( $wgVersion, '1.18', '<=' );
if ( $oldVersion ) {
    # 为MediaWiki 1.18及其更旧版本做些什么
} else {
    # 为MediaWiki 1.19及其和更新版本做些什么
}

但通常建议您使用功能检测来查看您希望使用的方法或类是否可用,而不是取决于原始版本字符串。

参见